From: <a href="/blend/av.cgi?id=1412">annaswirls</a><BR>
Date: 29 April 2004<P>

<a href="/blend/wv.cgi?id=2004.04.28.14.05.5609">Independent Woman Blues</a><BR>
<BR>
Misti, this was an awesome read top to bottom.  I have often felt many of these things, your bare honesty is courageous and allows you to be free. Inspiring.<BR>
<BR>
(it is also kind of nice to know that DMV sucks wherever you go...)
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 29 April 2004<P>

Yeah, I second all that. MVD Express is bad - and they're so rude and condescending there, too. It's like they think they're government - apparently no one's told them they're a private company...
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 29 April 2004<P>

thanks, Anna! <BR>
if i ever had a role model it was my great-grandmother, Mamaw Crenshaw...she survived three bad marriages (two to the same man, Papaw Crenshaw, a hero of the rodeo but not so stellar at domestic matters)and lived out the last thirty years of her life in her own space on her own terms...she didn't take shit off anyone...she was the most independent, incredible woman i ever knew...i can only hope to become that strong someday!!!<BR>
<BR>
chris,<BR>
living on my own these past few weeks i have gained a whole new respect for you and all the mundane shit you had to take care of 'cause i was the space cadet/Daisy from The Great Gatsby of the marriage! 
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 29 April 2004<P>

Yeah...mundane shit is, well, mundane shit. It's a necessary evil to get to enjoy the good parts of a relationship - but when it becomes the be-all and end-all of things...Houston, we have a problem! ;)
<HR>
From: <a href="/blend/av.cgi?id=1103">ladyinwaiting</a><BR>
Date: 29 April 2004<P>

champange ~ nice to see you breeze in...i still go to read your works and i must say that 'human Compass' is still one of my favorites...always bring a smile to my face...
<HR>
From: <a href="/blend/av.cgi?id=16">kevin urenda</a><BR>
Date: 29 April 2004<P>

I've actually found MVD Express to be not that bad on two out of the three occasions I have gone there (they have an office anout 3/4 of a mile from our house, so it's convenient).  The other time, they were about as express as molasses on a cloudy winter day in Taos (or Chama)...<BR>
<BR>
As for mundane shit, there is some innate beauty in some (but not all) of it.  We all have to find what 'balance' means to each of us.
<HR>